function carga_datos_reporte()
{
    limpiar();

    var id_reporte = $("#cmbReporte").val();

    switch(id_reporte)
	{
		case "0":
			return;
			break;
		case "1":
            $("#divAdeudos").show();
			break;
		case "2":
			$("#divFechas").show();
			$("#divVehiculo").show();
			break;
		case "3":
			$("#divFechas").show();
            $("#divVehiculo").show();
			break;
		case "4":
			$("#divFechas").show();
            $("#divVehiculo").show();
			break;
		case "5":
			$("#divFechas").show();
            $("#divVehiculo").show();
            $("#divRendimiento").show();
			break;		
		default:
			swal.fire("Reporte no identificado");
			break;
	}
}

function limpiar()
{
	$("#divDepartamento").hide();
    $("#divVehiculo").hide();
	$("#divFechas").hide();
	$("#divAdeudos").hide();
	$("#divRendimiento").hide();

	$("#txtFechaInicio").val("");
	$("#txtFechaFin").val("");
}

function fecha_actual()
{
	if ($("#cbxFechaActual").prop("checked"))
	{
		$("#cbxRango").prop("checked",false);
	}
}

function rango_fechas()
{
	if ($("#cbxRango").prop("checked"))
	{
		$("#cbxFechaActual").prop("checked",false);
		$("#divFechas").show();
	}
	else
	{
		$("#divFechas").hide();
	}
}

function generar_reporte()
{
    var id_reporte = $("#cmbReporte").val();
    var id_vehiculo = 0;
    var fecha_inicial = "";
	var fecha_final = "";
	var pagados = 0;
	var no_pagados = 0;
	var parcialmente_pagados = 0;
	var cancelados = 0;

    if (id_reporte == "0")
	{
		swal.fire
        ({
			icon: 'warning',
			title: 'Seleccione un Reporte.'
		})
		return;
	}
    
    if (id_reporte == "1")
	{       
		if ($("#cbxPagados").prop("checked"))
		{
			pagados = 1;
		}

		if ($("#cbxNopagados").prop("checked"))
		{
			no_pagados = 1;
		}

		if ($("#cbxParcialmentepagados").prop("checked"))
		{
			parcialmente_pagados = 1;
		}

		if ($("#cbxCancelados").prop("checked"))
		{
			cancelados = 1;
		}

        window.open("Consultar_reporte_adeudos.php?"
		+ "&Pagado=" + pagados 
		+ "&ParcialmentePagado=" + parcialmente_pagados 
		+ "&Cancelado=" + cancelados 
		+ "&NoPagado=" + no_pagados );
	}

    if (id_reporte == "2")
	{
		fecha_inicial = $("#txtFechaInicio").val();
		fecha_final = $("#txtFechaFin").val();

		if ($("#cmbVehiculos").val() != 0)
		{
			id_vehiculo = $("#cmbVehiculos").val();
		}

		if (!isValidDate(fecha_inicial))
		{
			swal.fire
            ({
				icon: 'warning',
				title: 'Fecha inicial no válida.'
			})
			return;
		}

		if (!isValidDate(fecha_final))
		{
			swal.fire
            ({
				icon: 'warning',
				title: 'Fecha final no válida.'
			})
			return;
		}

		fecha_inicial = fecha_inicial + " 00:00:00";
		fecha_final = fecha_final + " 23:59:59";

		window.open("Consultar_reporte_estado_cuenta.php?id_vehiculo=" + id_vehiculo
        + "&fecha_inicio=" + fecha_inicial 
        + "&fecha_fin=" + fecha_final);
	}

	if (id_reporte == "3")
	{
		fecha_inicial = $("#txtFechaInicio").val();
		fecha_final = $("#txtFechaFin").val();

		if ($("#cmbVehiculos").val() != 0)
		{
			id_vehiculo = $("#cmbVehiculos").val();
		}

		if (!isValidDate(fecha_inicial))
		{
			swal.fire
            ({
				icon: 'warning',
				title: 'Fecha inicial no válida.'
			})
			return;
		}

		if (!isValidDate(fecha_final))
		{
			swal.fire
            ({
				icon: 'warning',
				title: 'Fecha final no válida.'
			})
			return;
		}

		fecha_inicial = fecha_inicial + " 00:00:00";
		fecha_final = fecha_final + " 23:59:59";

		window.open("Consultar_reporte_consumos.php?id_vehiculo=" + id_vehiculo
        + "&fecha_inicio=" + fecha_inicial 
        + "&fecha_fin=" + fecha_final);
	}

	if (id_reporte == "4")
	{
		fecha_inicial = $("#txtFechaInicio").val();
		fecha_final = $("#txtFechaFin").val();

		if ($("#cmbVehiculos").val() != 0)
		{
			id_vehiculo = $("#cmbVehiculos").val();
		}

		if (!isValidDate(fecha_inicial))
		{
			swal.fire
            ({
				icon: 'warning',
				title: 'Fecha inicial no válida.'
			})
			return;
		}

		if (!isValidDate(fecha_final))
		{
			swal.fire
            ({
				icon: 'warning',
				title: 'Fecha final no válida.'
			})
			return;
		}

		fecha_inicial = fecha_inicial + " 00:00:00";
		fecha_final = fecha_final + " 23:59:59";

		window.open("Consultar_reporte_control_vehiculo.php?id_vehiculo=" + id_vehiculo
        + "&fecha_inicio=" + fecha_inicial 
        + "&fecha_fin=" + fecha_final);
	}

	if (id_reporte == "5")
	{
		fecha_inicial = $("#txtFechaInicio").val();
		fecha_final = $("#txtFechaFin").val();

		if ($("#cmbVehiculos").val() == 0)
		{
			swal.fire
			({
				icon: 'warning',
				title: 'Seleccione un vehículo.'
			})
			return;
		}
		else
		{
			id_vehiculo = $("#cmbVehiculos").val();
		}

		if (!isValidDate(fecha_inicial))
		{
			swal.fire
			({
				icon: 'warning',
				title: 'Fecha inicial no válida.'
			})
			return;
		}

		if (!isValidDate(fecha_final))
		{
			swal.fire
			({
				icon: 'warning',
				title: 'Fecha final no válida.'
			})
			return;
		}

		fecha_inicial = fecha_inicial + " 00:00:00";
		fecha_final = fecha_final + " 23:59:59";

		if (!$("#cbxCombustibleUnidad").prop("checked") && !$("#cbxCostoUnidad").prop("checked"))
		{
			swal.fire
			({
				icon: 'warning',
				title: 'Seleccione el tipo de reporte.',
				text: 'Combustible por unidad / Costo por unidad'
			})
			return;
		}

		if ($("#cbxCombustibleUnidad").prop("checked"))
		{
			window.open("Consultar_reporte_rendimiento_vehiculos.php?id_vehiculo=" + id_vehiculo
			+ "&fecha_inicio=" + fecha_inicial 
			+ "&fecha_fin=" + fecha_final);
		}

		if ($("#cbxCostoUnidad").prop("checked"))
		{
			window.open("Consultar_reporte_rendimiento_costo.php?id_vehiculo=" + id_vehiculo
			+ "&fecha_inicio=" + fecha_inicial 
			+ "&fecha_fin=" + fecha_final);
		}
	}
}

function generar_reporte_excel()
{
	var id_reporte = $("#cmbReporte").val();
    var id_vehiculo = 0;
    var fecha_inicial = "";
	var fecha_final = "";
	var pagados = 0;
	var no_pagados = 0;
	var parcialmente_pagados = 0;
	var cancelados = 0;

	if (id_reporte == "0")
	{
		swal.fire
        ({
			icon: 'warning',
			title: 'Seleccione un Reporte.'
		})
		return;
	}
    
    if (id_reporte == "1")
	{       
		if ($("#cbxPagados").prop("checked"))
		{
			pagados = 1;
		}

		if ($("#cbxNopagados").prop("checked"))
		{
			no_pagados = 1;
		}

		if ($("#cbxParcialmentepagados").prop("checked"))
		{
			parcialmente_pagados = 1;
		}

		if ($("#cbxCancelados").prop("checked"))
		{
			cancelados = 1;
		}

        window.open("Consultar_reporte_adeudos_excel.php?"
		+ "&Pagado=" + pagados 
		+ "&ParcialmentePagado=" + parcialmente_pagados 
		+ "&Cancelado=" + cancelados 
		+ "&NoPagado=" + no_pagados );
	}

	if (id_reporte == "2")
	{
		fecha_inicial = $("#txtFechaInicio").val();
		fecha_final = $("#txtFechaFin").val();

		if ($("#cmbVehiculos").val() != 0)
		{
			id_vehiculo = $("#cmbVehiculos").val();
		}

		if (!isValidDate(fecha_inicial))
		{
			swal.fire
            ({
				icon: 'warning',
				title: 'Fecha inicial no válida.'
			})
			return;
		}

		if (!isValidDate(fecha_final))
		{
			swal.fire
            ({
				icon: 'warning',
				title: 'Fecha final no válida.'
			})
			return;
		}

		fecha_inicial = fecha_inicial + " 00:00:00";
		fecha_final = fecha_final + " 23:59:59";

		window.open("Consultar_reporte_estado_cuenta_excel.php?id_vehiculo=" + id_vehiculo
        + "&fecha_inicio=" + fecha_inicial 
        + "&fecha_fin=" + fecha_final);
	}


	if (id_reporte == "3")
	{
		fecha_inicial = $("#txtFechaInicio").val();
		fecha_final = $("#txtFechaFin").val();

		if ($("#cmbVehiculos").val() != 0)
		{
			id_vehiculo = $("#cmbVehiculos").val();
		}

		if (!isValidDate(fecha_inicial))
		{
			swal.fire
            ({
				icon: 'warning',
				title: 'Fecha inicial no válida.'
			})
			return;
		}

		if (!isValidDate(fecha_final))
		{
			swal.fire
            ({
				icon: 'warning',
				title: 'Fecha final no válida.'
			})
			return;
		}

		fecha_inicial = fecha_inicial + " 00:00:00";
		fecha_final = fecha_final + " 23:59:59";

		window.open("Consultar_reporte_consumos_excel.php?id_vehiculo=" + id_vehiculo
        + "&fecha_inicio=" + fecha_inicial 
        + "&fecha_fin=" + fecha_final);
	}

	if (id_reporte == "4")
	{
		fecha_inicial = $("#txtFechaInicio").val();
		fecha_final = $("#txtFechaFin").val();

		if ($("#cmbVehiculos").val() != 0)
		{
			id_vehiculo = $("#cmbVehiculos").val();
		}

		if (!isValidDate(fecha_inicial))
		{
			swal.fire
            ({
				icon: 'warning',
				title: 'Fecha inicial no válida.'
			})
			return;
		}

		if (!isValidDate(fecha_final))
		{
			swal.fire
            ({
				icon: 'warning',
				title: 'Fecha final no válida.'
			})
			return;
		}

		fecha_inicial = fecha_inicial + " 00:00:00";
		fecha_final = fecha_final + " 23:59:59";

		window.open("Consultar_reporte_control_vehiculo_excel.php?id_vehiculo=" + id_vehiculo
        + "&fecha_inicio=" + fecha_inicial 
        + "&fecha_fin=" + fecha_final);
	}

	if (id_reporte == "5")
	{
		fecha_inicial = $("#txtFechaInicio").val();
		fecha_final = $("#txtFechaFin").val();

		if ($("#cmbVehiculos").val() == 0)
		{
			swal.fire
			({
				icon: 'warning',
				title: 'Seleccione un vehículo.'
			})
			return;
		}
		else
		{
			id_vehiculo = $("#cmbVehiculos").val();
		}

		if (!isValidDate(fecha_inicial))
		{
			swal.fire
			({
				icon: 'warning',
				title: 'Fecha inicial no válida.'
			})
			return;
		}

		if (!isValidDate(fecha_final))
		{
			swal.fire
			({
				icon: 'warning',
				title: 'Fecha final no válida.'
			})
			return;
		}

		fecha_inicial = fecha_inicial + " 00:00:00";
		fecha_final = fecha_final + " 23:59:59";

		if (!$("#cbxCombustibleUnidad").prop("checked") && !$("#cbxCostoUnidad").prop("checked"))
		{
			swal.fire
			({
				icon: 'warning',
				title: 'Seleccione el tipo de reporte.',
				text: 'Combustible por unidad / Costo por unidad'
			})
			return;
		}

		if ($("#cbxCombustibleUnidad").prop("checked"))
		{
			window.open("Consultar_reporte_rendimiento_vehiculos_excel.php?id_vehiculo=" + id_vehiculo
			+ "&fecha_inicio=" + fecha_inicial 
			+ "&fecha_fin=" + fecha_final);
		}

		if ($("#cbxCostoUnidad").prop("checked"))
		{
			window.open("Consultar_reporte_rendimiento_costo_excel.php?id_vehiculo=" + id_vehiculo
			+ "&fecha_inicio=" + fecha_inicial 
			+ "&fecha_fin=" + fecha_final);
		}
	}




}

function seleccionar_tipo_reporte()
{
	Swal.fire(
    {
        title: 'Seleccione el tipo de reporte:',
        input: 'select',
        inputOptions:{ 1: "PDF", 2: "Excel" },
        showCancelButton: true,
        confirmButtonColor: '#35A824',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Generar',
        cancelButtonText: 'Cancelar',

        allowOutsideClick: false,
        allowEscapeKey: false,
        allowEnterKey: false,					 
    }).then(opc => 
        {
            if (opc.value == 1) 
            {			           
                generar_reporte();
            }

            if (opc.value == 2)
            {
                generar_reporte_excel();
            }
        });
}

function control_combustible()
{
	if ($("#cbxCombustibleUnidad").prop("checked"))
	{
		$("#cbxCostoUnidad").prop("disabled",true);
	}
	else
	{
		$("#cbxCostoUnidad").prop("disabled",false);
	}
}

function control_costo()
{
	if ($("#cbxCostoUnidad").prop("checked"))
	{
		$("#cbxCombustibleUnidad").prop("disabled",true);
	}
	else
	{
		$("#cbxCombustibleUnidad").prop("disabled",false);
	}
}